Package com.ngrok.definitions

# Class TunnelSessionList

java.lang.Object
com.ngrok.definitions.TunnelSessionList

All Implemented Interfaces:
  `Pageable`

public class TunnelSessionList extends Object implements Pageable
A class encapsulating the `TunnelSessionList` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TunnelSessionList(List<TunnelSession> tunnelSessions, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TunnelSessionList`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<URI>`
  `getNextPageUri()`
  URI of the next page, or null if there is no next page
  `List<TunnelSession>`
  `getTunnelSessions()`
  list of all tunnel sessions on this account
  `URI`
  `getUri()`
  URI to the API resource of the tunnel session list
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TunnelSessionList

    public TunnelSessionList(List<TunnelSession> tunnelSessions, URI uri, Optional<URI> nextPageUri)
    Creates a new instance of `TunnelSessionList`.
    Parameters:
      `tunnelSessions` - list of all tunnel sessions on this account
      `uri` - URI to the API resource of the tunnel session list
      `nextPageUri` - URI of the next page, or null if there is no next page

- ## Method Details

  - ### getTunnelSessions

    public List<TunnelSession> getTunnelSessions()
    list of all tunnel sessions on this account
    Returns:
      the value of the property as a `List` of `TunnelSession`

  - ### getUri

    public URI getUri()
    URI to the API resource of the tunnel session list
    Returns:
      the value of the property as a `URI`

  - ### getNextPageUri

    public Optional<URI> getNextPageUri()
    URI of the next page, or null if there is no next page
    Specified by:
      `getNextPageUri` in interface `Pageable`
    Returns:
      the value of the property as a `URI` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`